BasicTreeUI.CellEditorHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler class
Date: 2015-05-24

javax.swing.plaf.basic

## Class BasicTreeUI.CellEditorHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler

- All Implemented Interfaces:
    EventListener, CellEditorListener
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.CellEditorHandler
      extends Object
      implements CellEditorListener

  Listener responsible for getting cell editing events and updating the tree accordingly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellEditorHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `editingCanceled(ChangeEvent e)` Messaged when editing has been canceled in the tree.
    `void` | `editingStopped(ChangeEvent e)` Messaged when editing has stopped in the tree.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellEditorHandler

          public CellEditorHandler()

  - ### Method Detail

    - #### editingStopped

          public void editingStopped(ChangeEvent e)

      Messaged when editing has stopped in the tree.
      Specified by:
        `editingStopped` in interface `CellEditorListener`

    - #### editingCanceled

          public void editingCanceled(ChangeEvent e)

      Messaged when editing has been canceled in the tree.
      Specified by:
        `editingCanceled` in interface `CellEditorListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.